// Code generated by go-swagger; DO NOT EDIT.

package roles

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

// UserRoleListOKCode is the HTTP code returned for type UserRoleListOK
const UserRoleListOKCode int = 200

/*UserRoleListOK A successful response.

swagger:response userRoleListOK
*/
type UserRoleListOK struct {

	/*
	  In: Body
	*/
	Payload *models.RoleListResponse `json:"body,omitempty"`
}

// NewUserRoleListOK creates UserRoleListOK with default headers values
func NewUserRoleListOK() *UserRoleListOK {

	return &UserRoleListOK{}
}

// WithPayload adds the payload to the user role list o k response
func (o *UserRoleListOK) WithPayload(payload *models.RoleListResponse) *UserRoleListOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user role list o k response
func (o *UserRoleListOK) SetPayload(payload *models.RoleListResponse) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserRoleListOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*UserRoleListDefault An unexpected error response

swagger:response userRoleListDefault
*/
type UserRoleListDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserRoleListDefault creates UserRoleListDefault with default headers values
func NewUserRoleListDefault(code int) *UserRoleListDefault {
	if code <= 0 {
		code = 500
	}

	return &UserRoleListDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user role list default response
func (o *UserRoleListDefault) WithStatusCode(code int) *UserRoleListDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user role list default response
func (o *UserRoleListDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user role list default response
func (o *UserRoleListDefault) WithPayload(payload *models.Error) *UserRoleListDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user role list default response
func (o *UserRoleListDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserRoleListDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
